
Name:          open-xchange-documents-monitoring
BuildArch:     noarch
#!BuildIgnore: post-build-checks
%if 0%{?rhel_version} && 0%{?rhel_version} == 600
BuildRequires: java7-devel
%else
BuildRequires: java-devel >= 1.7.0
%endif
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires: ant
%else
BuildRequires: ant-nodeps
%endif
Version:       7.8.0
%define        ox_release 8
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GNU General Public License (GPL)
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       Open-Xchange Documents Munin scripts
Requires:      open-xchange-core >= 7.8.0
Requires:      open-xchange-documents-backend >= 7.8.0
Requires:      munin-node, perl-JSON, perl-libwww-perl

%description
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains Open-Xchange Documents plugins for the Munin node.

Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
RRDtool. To see a real example of Munin in action, you can follow a link
from <http://munin.projects.linpro.no/> to a live installation.

Authors:
--------
    Open-Xchange


%prep
%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post
TMPFILE=`mktemp /tmp/munin-node.configure.XXXXXXXXXX`
munin-node-configure --libdir /usr/share/munin/plugins/ --shell > $TMPFILE || :
if [ -f $TMPFILE ] ; then
  sh < $TMPFILE
  rm -f $TMPFILE
fi
/etc/init.d/munin-node restart || :

exit 0

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /usr/share/munin
/usr/share/munin/plugins/

%changelog
* Fri Nov 11 2016 Kai Ahrens <kai.ahrens@open-xchange.com>
Build for patch 2016-11-21 (3729)
* Wed May 04 2016 Kai Ahrens <kai.ahrens@open-xchange.com>
Build for patch 2016-05-09
* Fri Oct 02 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Sixth candidate for 7.8.0 release
* Fri Sep 25 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Fifth candidate for 7.8.0 release
* Fri Sep 18 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Fourth candidate for 7.8.0 release
* Mon Sep 07 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Third candidate for 7.8.0 release
* Fri Aug 21 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Second candidate for 7.8.0 release
* Fri Aug 21 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
First candidate for 7.8.0 release
* Fri Jul 03 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Build for patch 2015-07-10
* Mon Mar 16 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
prepare for 7.8.0 release
* Mon Mar 09 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Twelfth candidate for 7.6.2 release
* Fri Mar 06 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Eleventh candidate for 7.6.2 release
* Wed Mar 04 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Tenth candidate for 7.6.2 release
* Tue Mar 03 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Ninth candidate for 7.6.2 release
* Tue Feb 24 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Eighth candidate for 7.6.2 release
* Wed Feb 11 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Seventh candidate for 7.6.2 release
* Fri Jan 30 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Sixth candidate for 7.6.2 release
* Tue Jan 27 2015 Kai Ahrens <kai.ahrens@open-xchange.com>
Fifth candidate for 7.6.2 release
* Fri Dec 12 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Fourth candidate for 7.6.2 release
* Fri Dec 05 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Third candidate for 7.6.2 release
* Fri Nov 21 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Second candidate for 7.6.2 release
* Tue Nov 04 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Ninth candidate for 7.6.1 release
* Fri Oct 31 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
First candidate for 7.6.2 release
* Thu Oct 30 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Eighth candidate for 7.X.0 release
* Mon Oct 27 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Seventh candidate for 7.6.1 release
* Tue Oct 21 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Sixth candidate for 7.6.1 release
* Thu Oct 16 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
prepare for 7.6.2 release
* Tue Oct 14 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Fifth candidate for 7.6.1 release
* Fri Oct 10 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Fourth candidate for 7.6.1 release
* Thu Oct 02 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Third candidate for 7.6.1 release
* Tue Sep 16 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Second candidate for 7.6.1 release
* Wed Sep 10 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
First candidate for 7.6.1 release
* Wed Aug 20 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Build for patch 2014-08-25
* Tue Aug 19 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Build for patch 2014-08-25
* Mon Jul 21 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
prepare for 7.6.1
* Tue Jul 15 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Build for patch 2014-07-21
* Tue Jul 08 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Build for patch 2014-07-17
* Tue Jun 24 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Seventh candidate for 7.6.0 release
* Fri Jun 20 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Sixth candidate for 7.6.0 release
* Fri Jun 13 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Fifth candidate for 7.6.0 release
* Fri May 30 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Fourth candidate for 7.6.0 release
* Fri May 16 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Third candidate for 7.6.0 release
* Mon May 05 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Second candidate for 7.6.0 release
* Fri Apr 11 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
First candidate for 7.6.0 release
* Wed Mar 26 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
First candidate for 7.4.2 Spreadsheet Final release
* Wed Feb 26 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
First candidate for 7.4.2 spreadsheet release
* Wed Feb 12 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
prepare for 7.6.0
* Fri Feb 07 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Sixth candidate for 7.4.2 release
* Thu Feb 06 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Fifth candidate for 7.4.2 release
* Tue Feb 04 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Fourth candidate for 7.4.2 release
* Thu Jan 23 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Third candidate for 7.4.2 release
* Fri Jan 10 2014 Kai Ahrens <kai.ahrens@open-xchange.com>
Second candidate for 7.4.2 release
* Mon Dec 23 2013 Kai Ahrens <kai.ahrens@open-xchange.com>
First candidate for 7.4.2 release
* Thu Dec 19 2013 Kai Ahrens <kai.ahrens@open-xchange.com>
prepare for 7.4.2
* Tue Nov 26 2013 Kai Ahrens <kai.ahrens@open-xchange.com>
Fifth candidate for 7.4.1 release
